﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SimPassport
{
    public partial class Page : UserControl
    {
        private const double DEFAULT_SCALE = 0.67;
        public Page()
        {
            InitializeComponent();
        }

        private void Button_Click1(object sender, RoutedEventArgs e)
        {
            // (0, 0)に焦点を置く
            jpn.CenterX = 0.0;
            jpn.CenterY = 0.0;
            jpn.Scale = DEFAULT_SCALE;
            jpn.SetValue(Canvas.LeftProperty, 100.0);
            jpn.SetValue(Canvas.TopProperty, 110.0);
        }

        private void Button_Click2(object sender, RoutedEventArgs e)
        {
            // 大阪の辺りに焦点を置く
            jpn.CenterX = 320.0;
            jpn.CenterY = 208.0;
            jpn.Scale = DEFAULT_SCALE;
            jpn.SetValue(Canvas.LeftProperty, 100.0 - jpn.CenterX * (1 - jpn.Scale));
            jpn.SetValue(Canvas.TopProperty, 110.0 - jpn.CenterY * (1 - jpn.Scale));
            zoom1.Begin();
        }

        private void Button_Click3(object sender, RoutedEventArgs e)
        {
            // 札幌の辺りに焦点を置く
            jpn.CenterX = 486.0;
            jpn.CenterY = 44.0;
            jpn.Scale = DEFAULT_SCALE;
            jpn.SetValue(Canvas.LeftProperty, 100.0 - jpn.CenterX * (1 - jpn.Scale));
            jpn.SetValue(Canvas.TopProperty, 110.0 - jpn.CenterY * (1 - jpn.Scale));
            zoom2.Begin();
        }

        private void Button_Click4(object sender, RoutedEventArgs e)
        {
            // 熊本の辺りに焦点を置く
            jpn.CenterX = 180.0;
            jpn.CenterY = 240.0;
            jpn.Scale = DEFAULT_SCALE;
            jpn.SetValue(Canvas.LeftProperty, 100.0 - jpn.CenterX * (1 - jpn.Scale));
            jpn.SetValue(Canvas.TopProperty, 110.0 - jpn.CenterY * (1 - jpn.Scale));
            zoom3.Begin();
        }
    }
}
